# Created by pyp2rpm-3.3.3
%global pypi_name flask-peewee

Name:           python-%{pypi_name}
Version:        3.0.4
Release:        %mkrel 1
Summary:        Peewee integration for flask
Group:          Development/Python
License:        BSD
URL:            https://github.com/coleifer/flask-peewee/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(peewee) >= 3.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(werkzeug)
BuildRequires:  python3dist(wtf-peewee)
BuildRequires:  python3dist(wtforms)
BuildRequires:  python3dist(sphinx)

%description
python-flask-peewee provides a layer of integration between the flask web
framework and the peewee orm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask)
Requires:       python3dist(jinja2)
Requires:       python3dist(peewee) >= 3.0.0
Requires:       python3dist(werkzeug)
Requires:       python3dist(wtf-peewee)
Requires:       python3dist(wtforms)

%description -n python3-%{pypi_name}
python-flask-peewee provides a layer of integration between the flask web
framework and the peewee orm.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files flask_peewee

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/example


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 3.0.4-1.mga10
+ Revision: 2043900
- new version: 3.0.4
- switch to pyproject
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 3.0.3-6.mga9
+ Revision: 1839044
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.0.3-5.mga9
+ Revision: 1784813
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 3.0.3-4.mga9
+ Revision: 1733781
- rebuild for python 3.9
+ wally <wally>
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1538960
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 3.0.3-1.mga8
+ Revision: 1463412
- imported package python-flask-peewee

